// priority: 0
ServerEvents.recipes(event => {

event.shaped('2x minecraft:flower_pot', ['ABA', ' A '], {A: 'minecraft:brick', B: 'minecraft:dirt'}).id('minecraft:flower_pot')

event.shaped('12x create:chute', ['B', 'A', 'B'], {A: 'alloyed:steel_ingot', B: 'alloyed:steel_sheet'})	

event.recipes.create.mixing('2x additionaladditions:rose_gold_alloy', ['4x copper_ingot', '4x gold_ingot'])

event.shapeless('caverns_and_chasms:bejeweled_apple', ['apple', 'additionaladditions:rose_gold_alloy'])

event.replaceInput({ id: 'sullysmod:crafting/jade_upgrade_smithing_template' }, 'sullysmod:jade', 'goety:jade');
event.replaceInput({ id: 'sullysmod:smithing/jade_horse_armor' }, 'sullysmod:jade', 'goety:jade');
event.replaceInput({ id: 'sullysmod:smithing/jade_shield' }, 'sullysmod:jade', 'goety:jade');
event.replaceInput({ id: 'sullysmod:crafting/jade_block' }, 'sullysmod:jade', 'goety:jade');

event.shaped('create:brass_hand', [' A ', 'BCB', ' B '], {A: 'create:andesite_alloy', B: 'create:brass_sheet', C:'additionaladditions:rose_gold_alloy'}).id('create:crafting/kinetics/brass_hand')

event.shaped('16x caverns_and_chasms:kunai', [' B', 'A '], {A: 'oreganized:silver_ingot', B: 'oreganized:silver_nugget'}).id('caverns_and_chasms:kunai')

event.shaped('sullysmod:jade_block', ['AAA', 'ABA', 'AAA'], {A: 'goety:jade', B: 'minecraft:emerald'}).id('sullysmod:crafting/jade_block')

event.shaped('legendary_monsters:axe_of_lightning', ['AC ', 'ABD', ' B '], {A: 'minecraft:iron_ingot', B: 'minecraft:stick', C: 'legendary_monsters:air_rune', D: 'oreganized:electrum_ingot'}).id('legendary_monsters:axe_of_lightning')

event.replaceInput({ id: 'create:mechanical_crafting/crushing_wheel' }, '#minecraft:planks', '#forge:ingots/steel')

event.shaped('4x sullysmod:throwing_knife', [' B ',  'A  '], {A: '#forge:rods/wooden',B: 'sullysmod:piranha_tooth' }).id('sullysmod:crafting/throwing_knife')

event.shaped('born_in_chaos_v1:sharpened_dark_metal_sword', [' A ','CAC',  ' B '], {A: 'born_in_chaos_v1:dark_metal_ingot',B: 'born_in_chaos_v1:bone_handle', C: 'oreganized:silver_nugget'}).id('born_in_chaos_v1:sharpened_darketal_sword_k')

event.replaceInput({ id: 'immersive_aircraft:nether_engine' }, 'minecraft:netherite_ingot', 'oreganized:electrum_ingot')

event.replaceInput({ id: 'malum:crude_scythe' }, 'minecraft:iron_ingot', 'oreganized:silver_ingot')

event.replaceInput({ id: 'warriorsofpastepoch:musketeer_camisole_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot')

event.replaceInput({ id: 'supplementaries:bomb' }, 'minecraft:iron_ingot', 'oreganized:lead_ingot')

event.replaceInput({ id: 'warriorsofpastepoch:forgotten_steel_nugget_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:surgical_saw_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:musket_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'alloyed:steel_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:bayonet_knife_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:pistol_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'alloyed:steel_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:plague_doctors_cloak_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:musketeer_rapier_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:doctors_cane_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:musketeer_camisole_craft'}, 'warriorsofpastepoch:forgotten_steel_ingot', 'oreganized:silver_ingot');
event.replaceInput({ id: 'warriorsofpastepoch:plague_vaccine_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:musketeer_hat_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:ammo_bag_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:musket_ammo_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:thickened_skin_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:surgical_saw_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:musket_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:pistol_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');
event.replaceInput({ id: 'warriorsofpastepoch:musketeer_rapier_craft'}, 'warriorsofpastepoch:forgotten_steel_nugget', 'oreganized:silver_nugget');

event.shaped('supplementaries:spring_launcher', ['BBB', 'A A', 'ADA'], {A: ['iron_ingot', 'oreganized:lead_ingot'], B: '#minecraft:planks', D: 'minecraft:sticky_piston'}).id('supplementaries:spring_launcher')
	
event.shaped('4x chain', ['A', 'A', 'A'], {A: 'alloyed:steel_nugget'})

event.shaped('2x minecraft:ender_chest', ['AAA', 'ABA', 'AAA'], {A: 'obsidian', B: 'ender_eye'}).id('minecraft:ender_chest')
	
event.shaped('4x alloyed:steel_trapdoor', ['AAA', 'AAA'], {A: 'alloyed:steel_ingot'}).id('alloyed:crafting/steel_trapdoor')

event.replaceInput({ id: 'create:crafting/kinetics/brass_hand' }, '#minecraft:planks', '#forge:ingots/steel')

event.shaped('create:mechanical_mixer', [' A ', 'CBC', 'CCC'], {A: 'create:cogwheel', B: 'create:andesite_casing', C: 'create:iron_sheet'}).id('create:crafting/kinetics/mechanical_mixer')

event.shaped('chain', ['A', 'A', 'A'], {A: 'oreganized:lead_nugget'})
	
event.shaped('minecraft:smithing_table', ['II', 'LL', 'BB'], {I: 'iron_ingot', L: 'oreganized:lead_ingot', B: '#minecraft:planks'}).id('minecraft:smithing_table')

event.recipes.create.mixing('3x alloyed:steel_ingot', ['3x iron_ingot', '3x oreganized:lead_nugget', ['coal','charcoal']]).id('alloyed:mixing/steel_ingot')
	
event.recipes.create.mixing('2x caverns_and_chasms:living_flesh', ['5x rotten_flesh', '2x oreganized:silver_ingot', '2x ghast_tear']).heated().id('caverns_and_chasms:living_flesh')
	
event.recipes.create.mixing('caverns_and_chasms:necromium_ingot', ['3x netherite_scrap', '3x oreganized:silver_ingot']).superheated().id('caverns_and_chasms:necromium_ingot')
	
event.replaceInput({ id: 'quark:automation/crafting/redstone_randomizer' }, 'minecraft:prismarine_crystals', 'additionaladditions:rose_gold_alloy')
	
event.shaped('minecraft:minecart', ['A A', 'AAA'], {A: ['iron_ingot', 'oreganized:lead_ingot']}).id('minecraft:minecart')

event.replaceInput({ id: 'twigs:lamp' },'minecraft:iron_ingot', '#odyssey:lead_or_iron')

event.replaceInput({ id: 'twigs:soul_lamp' },'minecraft:iron_ingot', '#odyssey:lead_or_iron')

event.shaped('create:schematicannon', ['EAE', 'BAB', 'CDC'], {A: 'alloyed:steel_block', B: '#minecraft:logs', C: 'minecraft:smooth_stone', D: 'minecraft:dispenser', E: 'alloyed:steel_ingot'}).id('create:crafting/schematics/schematicannon')


})